Commit 3b98a57e authored by Herbert Valerio Riedel's avatar Herbert Valerio Riedel 🕺
Browse files

Extend support-window to accomodate GHC HEAD which has been bumped to v8.7

parent 48d7b603
......@@ -131,11 +131,11 @@ configure verbosity hcPath hcPkgPath conf0 = do
(userMaybeSpecifyPath "ghc" hcPath conf0)
let implInfo = ghcVersionImplInfo ghcVersion
-- Cabal currently supports ghc >= 6.11 && < 8.7
unless (ghcVersion < mkVersion [8,7]) $
-- Cabal currently supports ghc >= 6.11 && < 8.8
unless (ghcVersion < mkVersion [8,8]) $
warn verbosity $
"Unknown/unsupported 'ghc' version detected "
++ "(Cabal " ++ display cabalVersion ++ " supports 'ghc' version < 8.7): "
++ "(Cabal " ++ display cabalVersion ++ " supports 'ghc' version < 8.8): "
++ programPath ghcProg ++ " is version " ++ display ghcVersion
-- This is slightly tricky, we have to configure ghc first, then we use the
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment